Bug 47041 - [BENTO FIX]
Summary: [BENTO FIX]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-14 10:20 UTC by Chris Knight
Modified: 2003-01-19 00:01 UTC (History)
0 users

See Also:


Attachments
file.diff (730 bytes, patch)
2003-01-14 10:20 UTC, Chris Knight
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Knight 2003-01-14 10:20:01 UTC
courier's configure stage looks for c_rehash in the rootcerts subdirectory.
c_rehash is a perl script that is included in the OpenSSl distribution.
c_rehash got ripped from 5.x as part of the perl cleanup.
So, the quickest fix is to make courier depend on the OpenSSL port.
There is a better way of doing this, but in its absence is this :-)

How-To-Repeat: Build courier on a 5.x box without the OpenSSL port installed.
Comment 1 corecode@corecode.ath.cx 2003-01-14 16:28:31 UTC
Lately Chris Knight told:

> >Description:
> courier's configure stage looks for c_rehash in the rootcerts subdirectory.
> c_rehash is a perl script that is included in the OpenSSl distribution.
> c_rehash got ripped from 5.x as part of the perl cleanup.
> So, the quickest fix is to make courier depend on the OpenSSL port.
> There is a better way of doing this, but in its absence is this :-)

very bad idea. look into ${SCRIPTDIR}, there it is: c_rehash

now just use that:

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/mail/courier/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- Makefile	21 Aug 2002 01:53:42 -0000	1.11
+++ Makefile	14 Jan 2003 16:18:11 -0000
@@ -74,7 +74,8 @@
 		--with-calendardir=${CALENDIR} \
 		--with-default-maildrop=${MAILDROPDEFAULT} \
 		--enable-workarounds-for-imap-client-bugs
-CONFIGURE_ENV=	PATH="${PATH}:${SCRIPTDIR}"
+
+PATH:=		${PATH}:${SCRIPTDIR}
 
 # Respect the make.conf(5) NOUUCP setting
 WITH_TRANSPORT=	local esmtp dsn


explanation: bsd.ports.mk passes PATH anyways in CONFIGURE_ENV. passing
it two times is not a good idea. env(1) uses the later occurance and
thus path is not set appropriately. fix this by modifying ${PATH}

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 corecode@corecode.ath.cx 2003-01-14 17:00:49 UTC
Lately Simon 'corecode' Schubert told:

> The following reply was made to PR ports/47041; it has been noted by GNATS.
> 
> From: "Simon 'corecode' Schubert" <corecode@corecode.ath.cx>
> To: Chris Knight <chris@aims.com.au>
> Cc: FreeBSD-gnats-submit@FreeBSD.org
> Subject: Re: ports/47041: [BENTO FIX]
> Date: Tue, 14 Jan 2003 17:28:31 +0100

sorry. forgot (original submitter too) to cc maintainer.

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 3 Chris Knight 2003-01-14 20:59:49 UTC
Howdy,

> -----Original Message-----
> From: Simon 'corecode' Schubert [mailto:corecode@corecode.ath.cx]
> Sent: Wednesday, 15 January 2003 3:29
> To: Chris Knight
> Cc: FreeBSD-gnats-submit@FreeBSD.org
> Subject: Re: ports/47041: [BENTO FIX]
> 
> [snip]
> 
> explanation: bsd.ports.mk passes PATH anyways in CONFIGURE_ENV.
> passing it two times is not a good idea. env(1) uses the later
> occurance and thus path is not set appropriately. fix this by
> modifying ${PATH}
> 
Aah, that's why it wasn't working! Thanks for the explanation.
I did say there was a better way of doing it!

> cheers
>   simon

Regards,
Chris Knight
Systems Administrator
AIMS Independent Computer Professionals
Tel: +61 3 6334 6664  Fax: +61 3 6331 7032  Mob: +61 419 528 795
Web: http://www.aims.com.au
Comment 4 Tilman Keskinoz freebsd_committer 2003-01-19 00:00:47 UTC
State Changed
From-To: open->closed

A fix was committed, thanks